# create

@ JvmName (name = "createTyped")
inline fun < LP : ViewGroup.LayoutParams > create (context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < LP >): <Error class: unknown class>
inline fun create (context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < ViewGroup.LayoutParams >): <Error class: unknown class>

Create a new Hikage.

#### Return

Hikage

#### Parameters

context

the context to create the layout.

parent

the parent view group.

attachToParent

whether to attach the layout to the parent when the parent is filled.

factory

the HikageFactory builder.

performer

the performer body.

inline fun < LP : ViewGroup.LayoutParams > create (lpClass: Class < LP >, context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < LP >): <Error class: unknown class>

Create a new Hikage.

#### Return

Hikage

#### Parameters

lpClass

the layout params type.

context

the context to create the layout.

parent

the parent view group.

attachToParent

whether to attach the layout to the parent when the parent is filled.

factory

the HikageFactory builder.

performer

the performer body.